digiKam Developer Documentation: Digikam::DirectoryNameOption Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Protected Member Functions | List of all members
Digikam::DirectoryNameOption Class Reference
Inheritance diagram for Digikam::DirectoryNameOption:

## Protected Member Functions
QString | parseOperation (ParseSettings &settings, const QRegularExpressionMatch &match) override
| TODO: describe me.
Protected Member Functions inherited from Digikam::Rule
bool | addToken (const QString &id, const QString &description, const QString &actionName=QString())
| add a token to the parser, every parser should at least assign one token object
QWidget * | getParentWidget () const
void | setDescription (const QString &desc)
void | setIcon (const QString &pixmap)
void | setParentWidget (QWidget *const widget)
| Set and get parent widget for the dialogs.
void | setRegExp (const QRegularExpression &regExp)
void | setUseTokenMenu (bool value)
| If multiple tokens have been assigned to a rule, a menu will be created.

## Additional Inherited Members
Public Types inherited from Digikam::Rule
enum | IconType { Action = 0 , Dialog }
Signals inherited from Digikam::Rule
void | signalTokenTriggered (const QString &)
Public Member Functions inherited from Digikam::Option
| Option (const QString &name, const QString &description)
| Option (const QString &name, const QString &description, const QString &icon)
Public Member Functions inherited from Digikam::Rule
| Rule (const QString &name)
| Rule (const QString &name, const QString &icon)
QString | description () const
QPixmap | icon (Rule::IconType type=Rule::Action) const
bool | isValid () const
| Checks the validity of the parse object.
ParseResults | parse (ParseSettings &settings)
QRegularExpression & | regExp () const
| TODO: This is probably not needed anymore.
QPushButton * | registerButton (QWidget *parent)
| Register a button in the parent object.
QAction * | registerMenu (QMenu *parent)
| Register a menu action in the parent object.
virtual void | reset ()
| Resets the parser to its initial state.
TokenList & | tokens () const
bool | useTokenMenu () const
| Returns true if a token menu is used.
Static Public Member Functions inherited from Digikam::Rule
static QString | escapeToken (const QString &token)
| Escape the token characters to make them work in regular expressions.
Protected Slots inherited from Digikam::Rule
virtual void | slotTokenTriggered (const QString &)

## Member Function Documentation

## ◆ parseOperation()

QString Digikam::DirectoryNameOption::parseOperation | ( | ParseSettings & | settings,
|  | const QRegularExpressionMatch & | match
| ) |  |
| overrideprotectedvirtual

Parameters

  settings | contains settings
  match | result of the regular expression match done in Option::parse()

Returns

Implements Digikam::Option.